| Classes - Annotated - Tree - Functions - Home - Structure

# QIconDragItem Class Reference
[ iconview module ]

The QIconDragItem class is the internal data structure of a QIconDrag More...

`#include <qiconview.h>`

List of all member functions.

## Public Members

- QIconDragItem ()
- virtual ~QIconDragItem ()
- virtual QByteArray data () const
- virtual void setData ( const QByteArray & d )

## Detailed Description

The QIconDragItem class is the internal data structure of a QIconDrag

This class is used internally in the QIconDrag to store the data of each item (in fact, a list of QIconDragItems is used by QIconDrag).

So, normally for each iconview item which is dragged, a QIconDragItem class (or a class derived from QIconDragItem) is created and stored in the QIconDrag object.

See QIconView::dragObject() for more information.

An example, how to implement this, is in the QtFileIconView example. (qt/examples/qfileiconview/qfileiconview.h and qt/examples/qfileiconview/qfileiconview.cpp).

Examples: iconview/main.cpp

## Member Function Documentation

### QIconDragItem::QIconDragItem ()

Constructs a QIconDragItem with no data.

### QIconDragItem::~QIconDragItem () `[virtual]`

Destructor.

### QByteArray QIconDragItem::data () const `[virtual]`

Returns the data of this QIconDragItem.

### bool QIconDragItem::operator== ( const QIconDragItem & i ) const

Reimplemented for internal reasons; the API is not affected.

### void QIconDragItem::setData ( const QByteArray & d ) `[virtual]`

Sets the data of this QIconDragItem.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.